package com.ruoyi.app.mapper;

import com.ruoyi.app.domain.AppGoodsPair;

import java.util.List;

/**
 * 【请填写功能名称】Mapper接口
 *
 * @author ruoyi
 * @date 2025-01-14
 */
public interface AppGoodsPairMapper
{
    /**
     * 查询【请填写功能名称】
     *
     * @param pairId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public AppGoodsPair selectAppGoodsPairByPairId(String pairId);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param appGoodsPair 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<AppGoodsPair> selectAppGoodsPairList(AppGoodsPair appGoodsPair);

    /**
     * 新增【请填写功能名称】
     *
     * @param appGoodsPair 【请填写功能名称】
     * @return 结果
     */
    public int insertAppGoodsPair(AppGoodsPair appGoodsPair);

    /**
     * 修改【请填写功能名称】
     *
     * @param appGoodsPair 【请填写功能名称】
     * @return 结果
     */
    public int updateAppGoodsPair(AppGoodsPair appGoodsPair);

    /**
     * 删除【请填写功能名称】
     *
     * @param pairId 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteAppGoodsPairByPairId(String pairId);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param pairIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppGoodsPairByPairIds(String[] pairIds);
}

